Package picard.fingerprint

## Class Fingerprint

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.TreeMap<HaplotypeBlock,​HaplotypeProbabilities>
    - - picard.fingerprint.Fingerprint

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<HaplotypeBlock,​HaplotypeProbabilities>`, `NavigableMap<HaplotypeBlock,​HaplotypeProbabilities>`, `SortedMap<HaplotypeBlock,​HaplotypeProbabilities>`

      public class Fingerprint
      extends TreeMap<HaplotypeBlock,​HaplotypeProbabilities>

  Small class to represent a genetic fingerprint as a set of HaplotypeProbabilities objects that give the relative probabilities of each of the possible haplotypes at a locus.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Fingerprint​(String sample, Path source, String info)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(HaplotypeProbabilities h)` |
    `void` | `filterSuspectSites()` | Attempts to filter out haplotypes that may have suspect genotyping by removing haplotypes that reach a minimum confidence score yet have a significant fraction of observations from a third or fourth allele.
    `String` | `getInfo()` |
    `String` | `getPrintableId()` |
    `String` | `getSample()` |
    `Path` | `getSource()` |
    `void` | `merge​(Fingerprint other)` | Merges the likelihoods from the supplied Fingerprint into the likelihoods for this fingerprint.

    - ### Methods inherited from class java.util.TreeMap

      `ceilingEntry, ceilingKey, clear, clone, comparator, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, forEach, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, navigableKeySet, pollFirstEntry, pollLastEntry, put, putAll, remove, replace, replace, replaceAll, size, subMap, subMap, tailMap, tailMap, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, isEmpty, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, getOrDefault, hashCode, isEmpty, merge, putIfAbsent, remove`

- - ### Constructor Detail

    - #### Fingerprint

          public Fingerprint​(String sample,
                             Path source,
                             String info)

  - ### Method Detail

    - #### getSample

          public String getSample()

    - #### getSource

          public Path getSource()

    - #### getInfo

          public String getInfo()

    - #### getPrintableId

          public String getPrintableId()

    - #### add

          public void add​(HaplotypeProbabilities h)

    - #### merge

          public void merge​(Fingerprint other)

      Merges the likelihoods from the supplied Fingerprint into the likelihoods for this fingerprint.

    - #### filterSuspectSites

          public void filterSuspectSites()

      Attempts to filter out haplotypes that may have suspect genotyping by removing haplotypes that reach a minimum confidence score yet have a significant fraction of observations from a third or fourth allele.